# Description for the Plot-a-thon code
There are a total of 24 properties in the given dataset.

- At first, I performed data completeness and uniqueness checks to gain an overall view of the data (Figure 1/Page 1).
- Then, I found that some properties had basically no data (NULL or NA). Also, the properties, like "id", "uuid", "doi", "url", were just identifiers. It was difficult to analyze them without any relevant knowledge. Therefore, I focused on "title", "date", "defined_type" and "group_id". However, there were only two types of "defined_type" and "software" only occupies a very small portion. I did not understand the meaning of "group_id" since it was just a number. I also checked the date-related properties. I found that "published_date" was almost the same as "timeline$posted_date". The distributions of "published_date" and "timeline$firstOnline" were quite similar. 
- Finally, I decided to visualize "published_date" (Figure 2/Page 2) and "title" (Figure 3-4/Page 3-4). 
- For "published_date", based on egg:: ggarrange, I combined a heatmap and marginal bar charts to present the frequency/count of data publications.
- For "title", I created a word cloud to know which topics are most included in the dataset. The results might be "water", "weather", "radar" and "sensor".

If there were more meaningful data, we might be able to get more interesting results. I recommend adding a description for each "group_id". In fact, I originally planned to use word clouds to figure out the characteristics of each group.

For detailed information, please see the code and its comments.